Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
Class JmxTimerFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxTimerFactory

    class JmxTimerFactory
    extends AbstractFactory

The JmxTimerFactory class generates a timer() node for JmxBuilder. This node crates a standard JMX Timer object that can be used to provide timing signals to registered JMX listeners.

Syntax

     timer(
         name:"object name"|ObjectName(),
         event:"...",
         message:"...",
         data:dataValue
         startDate:"now"|dateValue
         period:"99d"|"99h"|"99m"|"99s"|99
         occurences:long
     )

author:
  Vladimir Vivien

Constructor Summary
`JmxTimerFactory()`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### JmxTimerFactory

    JmxTimerFactory()

Method Detail

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)

Copyright © 2003-2009 The Codehaus. All rights reserved.